/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34980A.h"

/// <summary>
///	An interface reference pointer to one of the IVI Swtch Channel interfaces which
/// is selected by the channel name.The name of a channel. It may be either a name
/// returned by the Name property ora name mapped to a particular repeated capability
/// in the session in the configuration store.
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="Name">
///	
/// </param>
HRESULT Agilent34980A::IIviSwtchChannels_get_Item(BSTR Name, IIviSwtchChannel** Val)
{
	HRESULT hr = S_OK;

	hr = GetRepCapItem("Agilent34980AChannel", Name, Val);

	return hr;
}

/// <summary>
///	The number of channels.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviSwtchChannels_get_Count(long* Val)
{
	HRESULT hr = S_OK;

	hr = GetRepCapItemCount("Agilent34980AChannel", Val);

	return hr;
}

/// <summary>
///	The channel name for a given index.One based index into the collection of channels.
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="Index">
///	One based index into the collection of channels.
/// </param>
HRESULT Agilent34980A::IIviSwtchChannels_get_Name(long Index, BSTR* Val)
{
	HRESULT hr = S_OK;

	hr = GetRepCapItemName("Agilent34980AChannel", Index, Val);

	return hr;
}


